import { PublicKey, PublicKeyInitData } from '@solana/web3.js';
import { Chain, ChainId, Ntt } from '@wormhole-foundation/sdk-connect';
import BN from 'bn.js';
export interface TransferArgs {
    amount: BN;
    recipientChain: {
        id: ChainId;
    };
    recipientAddress: number[];
    shouldQueue: boolean;
}
type Seed = Uint8Array | string;
export declare function derivePda(seeds: Seed | readonly Seed[], programId: PublicKeyInitData): PublicKey;
export declare const nttAddresses: (programId: PublicKeyInitData) => {
    configAccount: () => PublicKey;
    outboxRateLimitAccount: () => PublicKey;
    inboxRateLimitAccount: (chain: Chain) => PublicKey;
    inboxItemAccount: (chain: Chain, nttMessage: Ntt.Message) => PublicKey;
    sessionAuthority: (sender: PublicKey, args: TransferArgs) => PublicKey;
    tokenAuthority: () => PublicKey;
    emitterAccount: () => PublicKey;
    wormholeMessageAccount: (outboxItem: PublicKey) => PublicKey;
    peerAccount: (chain: Chain) => PublicKey;
    transceiverPeerAccount: (chain: Chain) => PublicKey;
    transceiverMessageAccount: (chain: Chain, id: Uint8Array) => PublicKey;
    registeredTransceiver: (transceiver: PublicKey) => PublicKey;
};
export {};
//# sourceMappingURL=utils.d.ts.map